cudnn_frontend::PointWiseDescBuilder_v8
cudnn_frontend_PointWiseDesc.h
PointWiseDesc_v8 PointWiseDesc_v8 cudnn_frontend::PointWiseDescBuilder_v8::m_pointWiseDesc m_pointWiseDesc
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setMathPrecision (cudnnDataType_t data_type_) -> PointWiseDescBuilder_v8 & setMathPrecision cudnnDataType_t data_type_

Set Math Precision Data Type for the Convolution Operation.

auto auto cudnn_frontend::PointWiseDescBuilder_v8::setClipping (double l, double u) -> PointWiseDescBuilder_v8 & setClipping double l double u

Set upper and lower limits for the RELU activation.

auto auto cudnn_frontend::PointWiseDescBuilder_v8::setMode (cudnnPointwiseMode_t mode_) -> PointWiseDescBuilder_v8 & setMode cudnnPointwiseMode_t mode_

Set pointwise mode for the activation.

auto auto cudnn_frontend::PointWiseDescBuilder_v8::setMode (cudnnNanPropagation_t nan_mode_) -> PointWiseDescBuilder_v8 & setMode cudnnNanPropagation_t nan_mode_

Set NaN propagation mode.

auto auto cudnn_frontend::PointWiseDescBuilder_v8::setReluLowerClip (double lower_clip_) -> PointWiseDescBuilder_v8 & setReluLowerClip double lower_clip_
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setReluUpperClip (double upper_clip_) -> PointWiseDescBuilder_v8 & setReluUpperClip double upper_clip_
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setReluLowerClipSlope (double lower_clip_slope_) -> PointWiseDescBuilder_v8 & setReluLowerClipSlope double lower_clip_slope_
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setEluAlpha (double elu_alpha_) -> PointWiseDescBuilder_v8 & setEluAlpha double elu_alpha_
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setSoftplusBeta (double softplus_beta_) -> PointWiseDescBuilder_v8 & setSoftplusBeta double softplus_beta_
auto auto cudnn_frontend::PointWiseDescBuilder_v8::setSwishBeta (double swish_beta_) -> PointWiseDescBuilder_v8 & setSwishBeta double swish_beta_
PointWiseDesc_v8 && PointWiseDesc_v8&& cudnn_frontend::PointWiseDescBuilder_v8::build () build

constructs the PointWiseDesc_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::PointWiseDesc_v8::operator=
cudnn_frontend::PointWiseDesc_v8::PointWiseDescBuilder_v8
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8
()=default
PointWiseDescBuilder_v8
cudnn_frontend::PointWiseDescBuilder_v8::~PointWiseDescBuilder_v8
()=default
~PointWiseDescBuilder_v8
cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8
(PointWiseDescBuilder_v8 &&)=delete
PointWiseDescBuilder_v8
PointWiseDescBuilder_v8 &&
cudnn_frontend::PointWiseDescBuilder_v8::PointWiseDescBuilder_v8
(PointWiseDescBuilder_v8 const &)=delete
PointWiseDescBuilder_v8
PointWiseDescBuilder_v8 const &
PointWiseDescBuilder_v8 & PointWiseDescBuilder_v8& cudnn_frontend::PointWiseDescBuilder_v8::operator= (PointWiseDescBuilder_v8 const &)=delete operator= PointWiseDescBuilder_v8 const &

PointWiseDescBuilder_v8 Class Helper class used to build PointWiseDesc_v8 class

shared_ptr< OpaqueBackendPointer >
cudnnPointwiseMode_t
cudnnStatus_t
std::basic_string< char >
double
cudnnNanPropagation_t
cudnnDataType_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
cudnn_frontend::PointWiseDescBuilder_v8
-m_pointWiseDesc
cudnn_frontend::PointWiseDesc_v8
-upper_clip
-swish_beta
-lower_clip_slope
-lower_clip
-elu_alpha
-softplus_beta
-nan_propagation
-mode
-math_precision
std::string
- cudnn_frontend::PointWiseDescBuilder_v8
  build
- cudnn_frontend::PointWiseDescBuilder_v8
  m_pointWiseDesc
- cudnn_frontend::PointWiseDescBuilder_v8
  operator=
- cudnn_frontend::PointWiseDescBuilder_v8
  PointWiseDescBuilder_v8
- cudnn_frontend::PointWiseDescBuilder_v8
  PointWiseDescBuilder_v8
- cudnn_frontend::PointWiseDescBuilder_v8
  PointWiseDescBuilder_v8
- cudnn_frontend::PointWiseDescBuilder_v8
  setClipping
- cudnn_frontend::PointWiseDescBuilder_v8
  setEluAlpha
- cudnn_frontend::PointWiseDescBuilder_v8
  setMathPrecision
- cudnn_frontend::PointWiseDescBuilder_v8
  setMode
- cudnn_frontend::PointWiseDescBuilder_v8
  setMode
- cudnn_frontend::PointWiseDescBuilder_v8
  setReluLowerClip
- cudnn_frontend::PointWiseDescBuilder_v8
  setReluLowerClipSlope
- cudnn_frontend::PointWiseDescBuilder_v8
  setReluUpperClip
- cudnn_frontend::PointWiseDescBuilder_v8
  setSoftplusBeta
- cudnn_frontend::PointWiseDescBuilder_v8
  setSwishBeta
- cudnn_frontend::PointWiseDescBuilder_v8
  ~PointWiseDescBuilder_v8